/**
 *
 */
package de.rico.editor.datamodel;

import de.rico.engine.enums.BoundingVolume;
import de.rico.engine.geometry.Point3D;

/**
 * This class represents the heightmap terrain data model in the editor.
 * @author Frank Bruns
 */
public class HMTerrainData extends MeshData
{
	private int resFactor = 0;

	private int gridNodeSize = 0;

	public HMTerrainData(String path, String name, String tex, Point3D pos, Point3D rot, int res, int gridNodeSize, boolean rotate, boolean flip, boolean smooth)
	{
		super(path, name, tex, pos, rot, rotate, flip,smooth,false,BoundingVolume.BOX);
		this.resFactor = res;
		this.gridNodeSize = gridNodeSize;
	}

	/**
	 * Returns the terrain's resolution factor.
	 * @return terrain resolution factor
	 */
	public int getResFactor()
	{
		return this.resFactor;
	}

	/**
	 * Return the grid node size.
	 * @return grid node size
	 */
	public int getGridNodeSize()
	{
		return this.gridNodeSize;
	}
}
